Package Details: vivarium-git 0.0.4.r3.gd7074de-1

Git Clone URL: https://aur.archlinux.org/vivarium-git.git (read-only, click to copy)
Package Base: vivarium-git
Description: A dynamic tiling Wayland compositor inspired by xmonad
Upstream URL: https://github.com/inclement/vivarium
Keywords: wayland wlroots wm xmonad
Licenses: GPL3
Conflicts: vivarium
Provides: vivarium
Submitter: lmartinez-mirror
Maintainer: lmartinez-mirror
Last Packager: lmartinez-mirror
Votes: 0
Popularity: 0.000000
First Submitted: 2021-03-16 20:33 (UTC)
Last Updated: 2021-08-31 02:18 (UTC)

Latest Comments

inclement commented on 2022-01-27 18:32 (UTC)

Yes, it will be updated for wlroots 0.15 when I get around to it, probably within the next couple of weeks. This will be tracked at https://github.com/inclement/vivarium/pull/78.

anonymous_user commented on 2022-01-27 16:08 (UTC)

Can this be updated to build with wlroots 0.15?

Sesese9 commented on 2021-08-31 15:02 (UTC) (edited on 2021-08-31 15:02 (UTC) by Sesese9)

it's just a .desktop installed to /usr/share/wayland-sessions similar to X.

Here's an example of wayfire's

[Desktop Entry]
Name=Wayfire
Exec=wayfire
TryExec=wayfire
Icon=
Type=Application
DesktopNames=Wayfire

They provide that by default. I ended up copying it to use for sway.

inclement commented on 2021-08-30 20:55 (UTC)

I haven't looked into what exactly vivarium needs to provide to allow for display manager usage, but I'm happy to add it in principle.

For what it's worth the sway login managers wiki page at https://github.com/swaywm/sway/wiki probably applies to vivarium - I have it set to autostart on one of my ttys which works well enough that I hadn't thought about supporting anything else yet. I don't want to exclude other methods though.

Sesese9 commented on 2021-08-30 20:50 (UTC)

Thoughts on providing a wayland-session/.desktop file for vivarium to allow for Display Manager usage?

inclement commented on 2021-05-30 13:27 (UTC)

Vivarium now supports wlroots 0.13.0, the PKGBUILD dependency needs updating to match.

inclement commented on 2021-04-28 22:45 (UTC)

This package can't currently be installed because it depends on wlroots 0.12.0.

This will be fixed as soon as https://github.com/inclement/vivarium/pull/43 is merged - it should already work but is just waiting for me to fix the CI (as the Ubuntu CI backend lacks wlroots 0.13).

Alternatively, if you build manually using the instructions in the README then meson will automatically download and build against wlroots 0.12.0.